Deposit Wallet Address
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"message": "Success",
"data": {
"asset": "USDT",
"create_time": "2026-08-14 10:09:05",
"minimum_deposit": "0",
"network": "TRX",
"qr_code": "iVBORw0KGgoAAAANSUhEUgAAAQAAAAEAAQMAAABmvDolAAAABlBMVEX///8AAABVwtN+AAABmElEQVR42uyYMc7rIBCEB7lwyRF8FI4GR+MoPgIlBfI87QJJkPJe+RSvvMWv387XZBl2JounnnrqZ8tTqnomNn14vbIFnAC2CkRHloN09fXKFBB4bdXn6NpOMl3zlUVA+tD2gqB9sAuEhI08QwJsAiphz9Qf4l9kf3dgzChVdTmyAF+H2L2Bd13YyfwP77kz4E/Vc5ETllGcWHFkLLL/fQAHk8zYHEnKCBIPzdHRFiB96E8jHtgEcJD6UZpTZ+eJiM0ckJzOHMfqh6EApDFAhw98luPGIeIumvxsAZrWN5Ygf2fluPqmBSDHS//78M3ldhsBup6ntiW6832TrQCQNCvBoB+3NEX70GAK8MxQS5VDlxnVgUXVBgAAkW0vgUPI3ViXvGcAkD70Lz0cZ2h7adTPA5MbhsLkquiYDaaAj41WtxJdDiyNMgG8N1pNYh5EumKi1oC56rk0HqQZEYwCOm814ErY+9IHC4BeXj1u7AXzt5klYKq6Rz5o2Ft2ICaAudGCXt4wRvGXxd2tgaeeeuq/158AAAD//y9mGMBKjwsaAAAAAElFTkSuQmCC",
"wallet_address": "TWr6VvYG5FF2gRfkng4xaugtXQTJNQBQdP"
}
}Deposits
Deposit Wallet Address
Get deposit address for specified cryptocurrency. Stablecoin Account API Publisher Disclaimer
GET
/
v1
/
ramp
/
deposit
/
address
Deposit Wallet Address
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit/address")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"message": "Success",
"data": {
"asset": "USDT",
"create_time": "2026-08-14 10:09:05",
"minimum_deposit": "0",
"network": "TRX",
"qr_code": "iVBORw0KGgoAAAANSUhEUgAAAQAAAAEAAQMAAABmvDolAAAABlBMVEX///8AAABVwtN+AAABmElEQVR42uyYMc7rIBCEB7lwyRF8FI4GR+MoPgIlBfI87QJJkPJe+RSvvMWv387XZBl2JounnnrqZ8tTqnomNn14vbIFnAC2CkRHloN09fXKFBB4bdXn6NpOMl3zlUVA+tD2gqB9sAuEhI08QwJsAiphz9Qf4l9kf3dgzChVdTmyAF+H2L2Bd13YyfwP77kz4E/Vc5ETllGcWHFkLLL/fQAHk8zYHEnKCBIPzdHRFiB96E8jHtgEcJD6UZpTZ+eJiM0ckJzOHMfqh6EApDFAhw98luPGIeIumvxsAZrWN5Ygf2fluPqmBSDHS//78M3ldhsBup6ntiW6832TrQCQNCvBoB+3NEX70GAK8MxQS5VDlxnVgUXVBgAAkW0vgUPI3ViXvGcAkD70Lz0cZ2h7adTPA5MbhsLkquiYDaaAj41WtxJdDiyNMgG8N1pNYh5EumKi1oC56rk0HqQZEYwCOm814ErY+9IHC4BeXj1u7AXzt5klYKq6Rz5o2Ft2ICaAudGCXt4wRvGXxd2tgaeeeuq/158AAAD//y9mGMBKjwsaAAAAAElFTkSuQmCC",
"wallet_address": "TWr6VvYG5FF2gRfkng4xaugtXQTJNQBQdP"
}
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Asset code
Example:
"USDT"
Network code
Example:
"TRX"

